/*
 * AutenticatoreServlet.java
 *
 * Created on 30 giugno 2004, 12.48
 */

package webGui;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

// nostre classi di servizio
import serviceLib.Autenticatore;

/**
 *
 * @author  gdestri
 * @version
 */
public class AutenticatoreSimpleServlet extends HttpServlet {
    
    Autenticatore auto = new Autenticatore();
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        
        String risposta;
        boolean res = auto.checkUsernameAndPassword(request.getParameter("usernameText"), 
                                                    request.getParameter("passwordText"));
        if (res == true) {
            //System.out.println("Esatto");
            risposta = "ESATTO!!!";
        } // end if
        else {
            risposta = "Errore!!!";
        }
        
        /* TODO output your page here */
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet di autenticazione</title>");
        out.println("</head>");
        out.println("<body>");
        
        out.println(risposta);
        
        out.println("</body>");
        out.println("</html>");
        
        out.close();
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
} // end class AutenticatoreServlet