<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<html>
<head><title>Accesso al sistema JSP Page</title></head>
<body>
<%-- estrae l'oggetto dalla sessione --%>
 <jsp:useBean id="utenteCorrente" scope="session" class="sessionHandling.UtenteWeb" /> 
<%-- <jsp:getProperty name="beanInstanceName"  property="propertyName" /> --%>

<% 
if (utenteCorrente != null) {
    
    // verifica che la sessione di appartenenza abbia lo stesso ID contenuto nell'oggetto
    String currentSessionID = session.getId();

    // estrae l'ID di sessione dall'oggetto utenteCorrente, 
    // associato alla sessione dalla pagina precedente
    String origSessionID = utenteCorrente.getSessionID();

    // se tale ID e' non nullo ed uguale all'altra sessione tutto OK  
    if ((origSessionID != null) && (currentSessionID.equals(origSessionID))) {
        out.println("Esatto! Accesso regolare!<BR>"); %>
        Ecco i dati dell'utente: <BR>
        <%=utenteCorrente.toWebString()%><BR> <BR>

        <HR>
        Premere <A href="/EsempiWebIS2005/SuccessivoServlet"> Qui </A> per andare avanti

    <%
    } 
    else {
        out.println("Errato!<BR>");
    }
}
else {
    out.println("Oggetto NULLO: accesso vietato");
}


%>

</body>
</html>
