/*
 * ParametriServlet.java
 *
 * Created on 8 gennaio 2007, 0.35
 */

package configurationHandling;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author gdestri
 * @version
 */
public class ParametriServlet extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
         
        String MY_STRING = "";
        
        // definisce la URL destinazione
        String URL_view = "/parametri/parametri.jsp";

        try {
            GestoreParametriSetup gps = new GestoreParametriSetup();

            MY_STRING = gps.getParametroSetup("MY_STRING");
            
        }
        catch (Exception ecc){
           System.out.print("Lettura parametri");
        }
        
        // lo aggancia alla request
       request.setAttribute("MY_STRING", MY_STRING);

        
        // ridirige l'output sulla pagina parametri.jsp
        request.getRequestDispatcher(URL_view).forward(request, response);
            

    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
