/*
 * UtenteWeb.java
 *
 * Created on 20 settembre 2003, 12.23
 */

package sessionHandling;

/**
 *
 * @author  Giulio Destri
 */
public class UtenteWeb {
         
    private String username;
    
    private String loginTimeString;
    
    private String lastAccessTimeString;
    
    private String sessionID;
    
    /** Creates a new instance of Persona */
    public UtenteWeb() {
        username = new String("");
    
        loginTimeString = "";
    
        lastAccessTimeString = "";
    
        sessionID = new String("");
    } // end costruttore vuoto
    
    public UtenteWeb(String p_username, 
                     String p_loginTimeString,
                     String p_lastAccessTimeString,
                     String p_sessionID) {
       username = p_username;
       loginTimeString = p_loginTimeString;
       lastAccessTimeString = p_lastAccessTimeString;
       sessionID = p_sessionID;
    } // end costruttore con argomenti
    
    public String getUsername() {
        return username;
    }

    public String getLoginTimeString() {
        return loginTimeString;
    }
    
    public String getLastAccessTimeString() {
        return lastAccessTimeString;
    }
    
    public String getSessionID() {
        return sessionID;
    }


    public void setUsername(java.lang.String p_username) {
        username = p_username;
    }
    
    public void setLoginTimeString(java.lang.String p_loginTimeString) {
        loginTimeString = p_loginTimeString;
    }
    
    public void setLastAccessTimeString(java.lang.String p_lastAccessTimeString) {
        lastAccessTimeString = p_lastAccessTimeString;
    }
    
    public void setSessionID(java.lang.String p_sessionID) {
        sessionID = p_sessionID;
    }

    public String toString() {
        return ("Username = "+username+"; login Time = "+loginTimeString+
                "; last access Time = "+lastAccessTimeString + "; sessionID = "+sessionID ); 
    } // end method toString
    
    public String toWebString() {
        return ("Username = "+username+"<br> login Time = "+loginTimeString+
                "<br> last access Time = "+lastAccessTimeString + "<br> sessionID = "+sessionID ); 
    } // end method toString
} // end class UtenteWeb
